rte_l2tpv2_msg_with_offset(3)

NAME
rte_l2tpv2_msg_with_offset

SYNOPSIS

#include <rte_l2tpv2.h>

  Data Fields

rte_be16_t tunnel_id
rte_be16_t session_id
rte_be16_t offset_size
uint8_t * offset_padding

Detailed Description

L2TPv2 message Header contains options offset size and offset padding.

Definition at line 179 of file rte_l2tpv2.h.

Field Documentation

  rte_be16_t tunnel_id
tunnel ID(16)

Definition at line 180 of file rte_l2tpv2.h.

  rte_be16_t session_id
session ID(16)

Definition at line 181 of file rte_l2tpv2.h.

  rte_be16_t offset_size
offset size(16)

Definition at line 182 of file rte_l2tpv2.h.

  uint8_t* offset_padding
offset padding(variable length)

Definition at line 183 of file rte_l2tpv2.h.

Author

Generated automatically by Doxygen for DPDK from the source code.